rte_eth_ntuple_filter(3)

NAME
rte_eth_ntuple_filter

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint16_t flags
uint32_t dst_ip
uint32_t dst_ip_mask
uint32_t src_ip
uint32_t src_ip_mask
uint16_t dst_port
uint16_t dst_port_mask
uint16_t src_port
uint16_t src_port_mask
uint8_t proto
uint8_t proto_mask
uint8_t tcp_flags
uint16_t priority
uint16_t queue

Detailed Description

A structure used to define the ntuple filter entry to support RTE_ETH_FILTER_NTUPLE data representation.

Definition at line 50 of file rte_eth_ctrl.h.

Field Documentation

  uint16_t flags
Flags from RTE_NTUPLE_FLAGS_*

Definition at line 51 of file rte_eth_ctrl.h.

  uint32_t dst_ip
Destination IP address in big endian.

Definition at line 52 of file rte_eth_ctrl.h.

  uint32_t dst_ip_mask
Mask of destination IP address.

Definition at line 53 of file rte_eth_ctrl.h.

  uint32_t src_ip
Source IP address in big endian.

Definition at line 54 of file rte_eth_ctrl.h.

  uint32_t src_ip_mask
Mask of destination IP address.

Definition at line 55 of file rte_eth_ctrl.h.

  uint16_t dst_port
Destination port in big endian.

Definition at line 56 of file rte_eth_ctrl.h.

  uint16_t dst_port_mask
Mask of destination port.

Definition at line 57 of file rte_eth_ctrl.h.

  uint16_t src_port
Source Port in big endian.

Definition at line 58 of file rte_eth_ctrl.h.

  uint16_t src_port_mask
Mask of source port.

Definition at line 59 of file rte_eth_ctrl.h.

  uint8_t proto
L4 protocol.

Definition at line 60 of file rte_eth_ctrl.h.

  uint8_t proto_mask
Mask of L4 protocol.

Definition at line 61 of file rte_eth_ctrl.h.

  uint8_t tcp_flags
tcp_flags only meaningful when the proto is TCP. The packet matched above ntuple fields and contain any set bit in tcp_flags will hit this filter.

Definition at line 65 of file rte_eth_ctrl.h.

  uint16_t priority
seven levels (001b-111b), 111b is highest, used when more than one filter matches.

Definition at line 66 of file rte_eth_ctrl.h.

  uint16_t queue
Queue assigned to when match

Definition at line 68 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.